Bug 225232 - [MAINTAINER] sysutils/htop: Merge patches from upstream
Summary: [MAINTAINER] sysutils/htop: Merge patches from upstream
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-16 19:46 UTC by Hung-Yi Chen
Modified: 2018-03-05 05:08 UTC (History)
1 user (show)

See Also:


Attachments
sysutils_htop.patch (96.12 KB, patch)
2018-01-16 19:47 UTC, Hung-Yi Chen
no flags Details | Diff
htop 2.1.0 (96.12 KB, patch)
2018-03-05 03:58 UTC, Hung-Yi Chen
no flags Details | Diff
htop 2.1.0 (93.76 KB, patch)
2018-03-05 04:00 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2018-01-16 19:46:51 UTC
* Add support of backtrace by libexecinfo.
* Merge patches from upstream.
Comment 1 Hung-Yi Chen 2018-01-16 19:47:22 UTC
Created attachment 189810 [details]
sysutils_htop.patch
Comment 2 Yuri Victorovich freebsd_committer 2018-02-19 17:15:53 UTC
Could you update to 2.0.2? The patches will probably not be needed after this.
Comment 3 Yuri Victorovich freebsd_committer 2018-02-19 17:16:19 UTC
Correction: to 2.1.0.
Comment 4 Yuri Victorovich freebsd_committer 2018-02-20 22:09:32 UTC
FYI: 2.1.0 fails on FreeBSD. This is pending resolution of
https://github.com/hishamhm/htop/issues/742
and
https://github.com/hishamhm/htop/issues/743
Comment 5 Yuri Victorovich freebsd_committer 2018-02-22 18:06:40 UTC
(In reply to Yuri Victorovich from comment #4)

The upstream is broken as of now. We need to wait until this is fixed.
Comment 6 Hung-Yi Chen 2018-03-05 03:58:16 UTC
I've update to 2.1.0.

Since there are some commits after 2.1.0 released which fixed some issues, I add them as patches.

Once upstream release new version, I'll send another PR.
Comment 7 Hung-Yi Chen 2018-03-05 03:58:49 UTC
Created attachment 191210 [details]
htop 2.1.0
Comment 8 Hung-Yi Chen 2018-03-05 04:00:32 UTC
Created attachment 191211 [details]
htop 2.1.0
Comment 9 Yuri Victorovich freebsd_committer 2018-03-05 05:08:03 UTC
Committed with changes.
Same patches are included by updating to the current revision.
Thank you for your update!
Comment 10 commit-hook freebsd_committer 2018-03-05 05:08:05 UTC
A commit references this bug:

Author: yuri
Date: Mon Mar  5 05:07:56 UTC 2018
New revision: 463618
URL: https://svnweb.freebsd.org/changeset/ports/463618

Log:
  sysutils/htop: Update to 2.1.0-26

  Port changes:
  * Changed to DISTVERSION
  * Added to USES
  * Added SHEBANG_FILES
  * Removed LIBS (not needed)
  * Replaced WWW with the https version

  Maintainer insisted on updating to the current version.

  PR:		225232
  Submitted by:	Hung-Yi Chen <gaod@hychen.org> (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/sysutils/htop/Makefile
  head/sysutils/htop/distinfo
  head/sysutils/htop/pkg-descr